//  main: main.less, out: ../style.css

/* ====================================================================================================================================
HEADER
======================================================================================================================================*/
.c-header {
    position: fixed;
    width: 100%;
    padding: 0;
    height: 160px;
    z-index: 199;
    background-color: transparent;
    .transition-elastic--long;
    .u-flex-display;
    .u-align-items(center);

    .c-header__inner {
        .u-flex-display;
        .u-justify-content(space-between);
        .u-align-items(center);
    }

    .main-navigation {
        max-width: 540px;
        width: 100%;
        border-bottom: solid 1px @color-tetiary;
        .u-flex-display;
        .u-align-items(center);
        .u-justify-content(space-between);

        .menu {
            .u-flex-display;
            .u-align-items(center);
            .u-justify-content(flex-start);
            padding: 0;
            margin: 0;
            min-width: 320px;
            
            li {
                position: relative;
                list-style-type: none;
                margin-right: @margin__s;
                padding-left: @margin__s;
                padding-bottom: 15px;

                a {
                    color: @color-white;
                }

                &:after,
                &:before {
                    position: absolute;
                    content: '';
                    display: block;
                }

                &:after {
                    width: @margin__s;
                    height: @margin__s;
                    top: 0;
                    left: 0;
                    background-image: url('./images/nav-plus-decorator.svg');
                    background-position: center;
                    background-size: auto;
                    background-repeat: no-repeat;
                    .u-transform-origin(center);
                    .transition-elastic;
                }

                &:before {
                    width: 100%;
                    height: 0;
                    background-color: @color-tetiary;
                    bottom: 0;
                    left: 0;
                    right: 0;
                    .transition-elastic;
                }

                &:hover,
                &.current-menu-item {
                    a {
                        color: @color-tetiary;
                    }

                    &:after {
                        .u-transform(rotate(45deg));
                    }

                    &:before {
                        height: 4px;
                    }
                }
            }
        }
    }

    // WIDGET SOCIAL NETWORK
    .textwidget {
        padding-bottom: 10px;
        .u-flex-display;

        img {
            margin: 0 @margin__s/2;
        }
    }

    // LABEL POLYLABNG
    label {
        display: none;
    }

    select {
        margin-bottom: 15px;
        color: @color-white;
    }
}

.c-header__toggler {
    display: none;
}

// BODY SCROLLED
body.isScrolled {
    .c-header {
        height: 100px!important;
        background-color: fade(@color-footer, 95%)!important;
    }
}
body.page, body.blog, body.single {
    .c-header {
        height: 130px;
        background-color: fade(@color-footer, 95%);
    }
}

@media @media_smartphone,
@media_tablet,
@media_landascape {
    .c-header {
        height: 100px;

        .main-navigation {
            position: fixed;
            top: 100px;
            right: 0;
            background-color: @color-footer;
            max-width: initial;
            padding: @margin__s*2;
            width: initial;
            border-bottom: none;
            z-index: 199;
            .u-justify-content(center);
            .u-align-items(flex-end);
            .u-flex-direction(column);
            .transition-elastic;
            .u-transform(translateX(100%));

            .menu {
                .u-flex-direction(column);
                .u-align-items(flex-end);
                margin-bottom: @margin__m/2;
                min-width: initial;
                
                li {
                    margin-right: 0;
                    padding-right: @margin__s;
                    padding-left: 0;
                    padding-bottom: @margin__s;

                    &:after {

                        right: 0;
                        left: initial;
                    }

                    &:before {
                        display: none;
                    }

                }
            }
        }

        // LABEL POLYLANG
        select {
            margin-top: @margin__s;
        }
    }

    .c-header__toggler {
        display: block;
        position: fixed;
        top: 25px;
        right: 20px;
        height: 48px;
        width: 48px;
        cursor: pointer;
        z-index: 199;
        .u-border-radius(100%);

        .line {
            position: absolute;
            height: 2px;
            width: 24px;
            left: 12px;
            background-color: @color-white;
            .transition-elastic;
        }

        .line--1 {
            top: 18px;
            .u-transform(scaleX(1));
        }

        .line--2,
        .line--3 {
            top: 24px;
            .u-transform(rotate(0));
        }

        .line--4 {
            top: 30px;
            .u-transform(scaleX(1));
        }
    }

    //MENU OPEN 
    body.openMenu {
        .c-header .main-navigation {
            .u-transform(translateX(0));
        }

        .c-header__toggler {

            .line--1,
            .line--4 {
                .u-transform(scaleX(0));
            }

            .line--2 {
                .u-transform(rotate(-45deg));
            }

            .line--3 {
                .u-transform(rotate(45deg));
            }
        }
    }
}

@media @media_tablet, @media_landascape {
    .c-header .main-navigation {
        top: 130px;
    }

    .c-header__toggler {
        display: block;
        position: fixed;
        top: 40px;
        right: 20px;
        height: 48px;
        width: 48px;
        cursor: pointer;
        z-index: 199;
        .u-border-radius(100%);
    }
    body.isScrolled {
        .c-header .main-navigation {
            top: 100px;
        }
    }
}

@media @media_smartphone {
    .c-header {
        height: 100px!important;
        background-color: fade(@color-footer, 95%);
    }

    .site-branding {
        width: 200px;
    }
}


// REWRITE HEADER STYLE
@media @media_desktop,
@media_full {
    body.home {
        .c-header {
            background-color: transparent;
        }
    }
}
